Real(8) Function NORMA(w)
use work
real(8) w(ngl)

norma =maxval(dabs(w))
End


Real(8) Function NORMA_2(w)
use work
real(8) w(ngl)

norma_2 =0D0

do l =1, ngl
norma_2 =norma_2 +w(l)*w(l)
enddo

norma_2 =dsqrt(norma_2)

End
